table = 
  (function () {
    var table,
        ahk_l, emacs, gimp, hashmyfiles, nppp, pdfx, sevenzip, sumatra, 
        uniextract, xnview,
        imageviewers;
    //
    ahk_l = "..\\AutoHotkey_L\\AutoHotkey.exe";
    emacs = "..\\emacs\\bin\\runemacs.exe";
    gimp = "..\\GIMPPortable\\GIMPPortable.exe";
    hashmyfiles = "..\\NirLaunchers\\NirSoft\\hashmyfiles.exe";
    nppp = "..\\Notepad++Portable\\Notepad++Portable.exe";
    pdfx = "..\\PDFX_Vwr\\PDFXCview.exe";
    sevenzip = "..\\7-ZipPortable\\7-ZipPortable.exe";
    sumatra = "..\\SumatraPDFPortable\\SumatraPDFPortable.exe";
    uniextract = "..\\uniextract\\UniExtract.exe";
    xnview = "..\\XnViewPortable\\XnViewPortable.exe";
    //
    imageviewers = [gimp, xnview];
    //
    table = 
      {
       "exe": uniextract,
       //
       "pdf": [sumatra, pdfx],
       "txt": [nppp, emacs],   
       //
       "png": imageviewers,
       "jpg": imageviewers,
       "gif": imageviewers,
       //
       "7z": sevenzip,
       "iso": [sevenzip],
       "rar": sevenzip,
       "tgz": sevenzip,
       "zip": [sevenzip, uniextract]
      };
    return table;
   })();