function collect(query, results) {
  var fso, of, rf, 
      pane, p0,
      ext, result,
      table, theType, rule, path, i,
      ForReading = 1, ForWriting = 2, ForAppending = 8;
  //
  if (!results.expects('FILE')) {
    return;
  }
  pane = qatapult.getFocus();
  if (pane != 2) {
    return;
  }
  fso = new ActiveXObject("Scripting.FileSystemObject");
  //
  of = fso.OpenTextFile("plugins\\OpenWith\\log.txt", ForAppending, true);
  //
  of.WriteLine("pane: " + pane);
  of.WriteLine("query: " + query);
  //
  p0 = qatapult.getArgValue(0, "path");
  of.WriteLine("p0: " + p0);
  ext = pathToExtension(p0);
  if (ext === null) {
    ext = "NONE"; // XXX: possibly provide a way to handle at some point
  }
  //
  of.WriteLine("ext: " + ext);
  //
  table = {};
  // XXX: possibly do the table loading outside of the function?
  //      but then have to reload plugin each time a change is made to 
  //      associations.js?
  try {
    rf = fso.OpenTextFile("plugins\\OpenWith\\associations.js");
    text = rf.ReadAll();
    // XXX: yes, we use eval for lack of better mechanism in current env
    result = eval(text);
    // table gets defined via previous line's eval
  } catch (e) {
    of.WriteLine("try failed");
  } finally {
    rf.close();
  }
  if (ext in table) {
    rule = table[ext];
    theType = typeof rule;
    of.WriteLine("typeof for rule is: " + theType);
    if (theType === "string") {
      path = rule;
      of.WriteLine("trying to add: " + path);
      results.addObject('FILE', path, 
                        {'key': path, 'text': path, 'path': path});
    } else if (theType === "object") { // hopefully an array
      for (i = 0; i < rule.length; i += 1) {
        path = rule[i];
        of.WriteLine("trying to add: " + path);
        results.addObject('FILE', path,
                          {'key': path, 'text': path, 'path': path});
      }
    } else { // unexpected type
      of.WriteLine("unexpected type for rule: " + theType);
    }
  } else {
    of.WriteLine("did not find extension in table: " + ext);
  }
  of.WriteLine("---");
  of.close();
}

function pathToExtension(path) {
  var ma;
  ma = /\.([^\\.]*)$/.exec(path);
  if (ma === null) {
    return null;
  }
  return ma[1];
}
